Download it now!
Bug 96760 - Android: Viewer cannot open odp file with video inserted
Summary: Android: Viewer cannot open odp file with video inserted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: ARM Android
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-29 10:57 UTC by Berk Gureken
Modified: 2020-04-09 05:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example odp file (1.52 MB, application/vnd.oasis.opendocument.presentation)
2015-12-29 12:09 UTC, Berk Gureken
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Berk Gureken 2015-12-29 10:57:57 UTC
When I open a file contains a video through menu icon > Local documents > odp file that I want to open, application sends me to Local documents page.

Version 5.2.0.0.alpha0+
Build ID: 13d4bda
Comment 1 Berk Gureken 2015-12-29 12:09:04 UTC
Created attachment 121600 [details]
example odp file
Comment 2 raal 2015-12-29 12:44:43 UTC
Confirmed.

*** *** *** *** *** *** *** *** *** *** *** *** *** *** *** ***
Build fingerprint: 'Xiaomi/mocha/mocha:4.4.4/KTU84P/5.11.26:user/release-keys'
Revision: '0'
pid: 3449, tid: 3484, name: Thread-201  >>> org.example.libreoffice <<<
signal 6 (SIGABRT), code -6 (SI_TKILL), fault addr --------
    r0 00000000  r1 00000d9c  r2 00000006  r3 00000000
    r4 00000006  r5 00000002  r6 00000d9c  r7 0000010c
    r8 7c311d18  r9 7c214000  sl 7b9c74f0  fp 7c311cec
    ip 720d0ad8  sp 7c311c70  lr 400cb021  pc 400d9f88  cpsr 000f0010
    d0  6e6f697470656378  d1  3a3a726174733a3a
    d2  7065443a3a6f6e75  d3  45746e656d796f6c
    d4  4026000000000000  d5  4047800000000000
    d6  4026000000000000  d7  0000000b00000000
    d8  3f8000003f800000  d9  44168000449f0000
    d10 0000000044c22000  d11 0000000000000000
    d12 0000000000000000  d13 0000000000000000
    d14 0000000000000000  d15 0000000000000000
    d16 fffffffffffeae80  d17 3ff0000000000000
    d18 4024000000000000  d19 755726b5755726b5
    d20 755726a1755726a1  d21 755726a1755726a1
    d22 7557269175572691  d23 7557269175572691
    d24 0000005b00000059  d25 0000005f0000005d
    d26 0707070703030303  d27 017a000001720000
    d28 014a005301420051  d29 015a005701520055
    d30 016a005b01620059  d31 017a005f0172005d
    scr 80000010

backtrace:
    #00  pc 00021f88  /system/lib/libc.so (tgkill+12)
    #01  pc 0001301d  /system/lib/libc.so (pthread_kill+48)
    #02  pc 00013231  /system/lib/libc.so (raise+10)
    #03  pc 00011f67  /system/lib/libc.so
    #04  pc 0002183c  /system/lib/libc.so (abort+4)
    #05  pc 02591f34  /data/app-lib/org.example.libreoffice-2/liblo-native-code.so

code around pc:
    400d9f68 e8bd00f0 e3700a01 912fff1e e2600000  
    400d9f78 ea006f79 e92d50f0 e3a07f43 ef000000  
    400d9f88 e8bd50f0 e3700a01 912fff1e e2600000  
    400d9f98 ea006f71 e92d50f0 e3a070ee ef000000  
    400d9fa8 e8bd50f0 e3700a01 912fff1e e2600000  
    400d9fb8 ea006f69 00000000 e1520003 8a0000ab  
    400d9fc8 f5d1f040 e92d4001 e3520000 11500001  
    400d9fd8 08bd8001 f5d1f000 f5d1f040 e3520020  
    400d9fe8 3a00008f e3520080 3a000084 e2603000  
    400d9ff8 e213303f 0a000015 e0422003 e1b0cf83  
    400da008 44d1c001 44c0c001 24d1c001 24c0c001  
    400da018 24d1c001 24c0c001 e1b0ce83 5a000001  
    400da028 f4a1030d f480031d 3a000001 f421070d  
    400da038 f400071d e1b0cd83 5a000001 f4210a0d  
    400da048 f4000a2d 3a000001 f421020d f400023d  
    400da058 f5d1f080 f5d1f0c0 e3520902 3a000004  

code around lr:
    400cb000 447b4b13 42b3e010 4812d10e 44786a1e  
    400cb010 ec90f7fb e9d8f00d 46224631 efaef00e  
    400cb020 d00a3001 e00b2400 2b00681b 480ad1eb  
    400cb030 44782403 ec7ef7fb f001e002 6804fa1b  
    400cb040 fa18f001 46206005 bf00bd70 0003b3a2  
    400cb050 0003b396 0003b38e 0003b36a bf7ef7ff  
    400cb060 4a3e4b3d 43f0e92d 4606b08b 447b460d  
    400cb070 6823589c 930946a1 f9fcf001 8000f8d0  
    400cb080 d0482d00 f0104628 280ff80b d8444604  
    400cb090 ffe4f7ff d1064286 4629200f e8a2f00d  
    400cb0a0 d03c2800 482ee02e f7fb4478 482debc2  
    400cb0b0 e0154478 d11342b0 482b6a06 f7fb4478  
    400cb0c0 4a2aec3a 46332120 447aa801 fc24f013  
    400cb0d0 a8012101 ff22f01a 46061c42 e011d104  
    400cb0e0 28006800 e02cd1e6 46294630 f00d4622  
    400cb0f0 1c43e8de d11e4607 f9bcf001 29046801
Comment 3 QA Administrators 2017-01-03 19:57:36 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2019-12-03 14:53:06 UTC Comment hidden (obsolete)
Comment 5 Michael Weghorn 2020-04-08 13:24:41 UTC
Fix (for debug build, release build should have worked without) pending at https://gerrit.libreoffice.org/c/core/+/91921

With this fix in place, a placeholder is shown instead of the video, no more crash.
Comment 6 Commit Notification 2020-04-09 05:27:28 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/79ce9d030b934c375e4f9d12b577ff3f29770a46

tdf#96760 Don't assert on presentation with video for non-desktop

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.